Index: uspace/srv/locsrv/locsrv.c
===================================================================
--- uspace/srv/locsrv/locsrv.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/locsrv/locsrv.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -339,8 +339,8 @@
 {
 	ipc_call_t icall;
-	cap_call_handle_t iid = async_get_call(&icall);
+	cap_call_handle_t icall_handle = async_get_call(&icall);
 
 	if (IPC_GET_IMETHOD(icall) != LOC_SERVER_REGISTER) {
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return NULL;
 	}
@@ -349,5 +349,5 @@
 	    (loc_server_t *) malloc(sizeof(loc_server_t));
 	if (server == NULL) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return NULL;
 	}
@@ -360,5 +360,5 @@
 	if (rc != EOK) {
 		free(server);
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return NULL;
 	}
@@ -371,5 +371,5 @@
 		free(server->name);
 		free(server);
-		async_answer_0(iid, ENOTSUP);
+		async_answer_0(icall_handle, ENOTSUP);
 		return NULL;
 	}
@@ -400,5 +400,5 @@
 	fibril_mutex_unlock(&servers_list_mutex);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	return server;
@@ -453,9 +453,9 @@
  *
  */
-static void loc_service_register(cap_call_handle_t iid, ipc_call_t *icall,
+static void loc_service_register(cap_call_handle_t icall_handle, ipc_call_t *icall,
     loc_server_t *server)
 {
 	if (server == NULL) {
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -465,5 +465,5 @@
 	    (loc_service_t *) malloc(sizeof(loc_service_t));
 	if (service == NULL) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -475,5 +475,5 @@
 	if (rc != EOK) {
 		free(service);
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -483,5 +483,5 @@
 		free(fqsn);
 		free(service);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -497,5 +497,5 @@
 		free(service->name);
 		free(service);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -513,5 +513,5 @@
 		free(service->name);
 		free(service);
-		async_answer_0(iid, EEXIST);
+		async_answer_0(icall_handle, EEXIST);
 		return;
 	}
@@ -535,5 +535,5 @@
 	fibril_mutex_unlock(&services_list_mutex);
 
-	async_answer_1(iid, EOK, service->id);
+	async_answer_1(icall_handle, EOK, service->id);
 }
 
@@ -541,5 +541,5 @@
  *
  */
-static void loc_service_unregister(cap_call_handle_t iid, ipc_call_t *icall,
+static void loc_service_unregister(cap_call_handle_t icall_handle, ipc_call_t *icall,
     loc_server_t *server)
 {
@@ -550,5 +550,5 @@
 	if (svc == NULL) {
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -565,17 +565,17 @@
 	 */
 	loc_category_change_event();
-	async_answer_0(iid, EOK);
-}
-
-static void loc_category_get_name(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+	async_answer_0(icall_handle, EOK);
+}
+
+static void loc_category_get_name(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	size_t act_size;
 	category_t *cat;
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -586,6 +586,6 @@
 	if (cat == NULL) {
 		fibril_mutex_unlock(&cdir.mutex);
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -594,20 +594,20 @@
 	if (act_size > size) {
 		fibril_mutex_unlock(&cdir.mutex);
-		async_answer_0(callid, EOVERFLOW);
-		async_answer_0(iid, EOVERFLOW);
-		return;
-	}
-
-	errno_t retval = async_data_read_finalize(callid, cat->name,
+		async_answer_0(chandle, EOVERFLOW);
+		async_answer_0(icall_handle, EOVERFLOW);
+		return;
+	}
+
+	errno_t retval = async_data_read_finalize(chandle, cat->name,
 	    min(size, act_size));
 
 	fibril_mutex_unlock(&cdir.mutex);
 
-	async_answer_0(iid, retval);
-}
-
-static void loc_service_get_name(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+	async_answer_0(icall_handle, retval);
+}
+
+static void loc_service_get_name(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	size_t act_size;
@@ -615,7 +615,7 @@
 	char *fqn;
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -626,6 +626,6 @@
 	if (svc == NULL) {
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -633,6 +633,6 @@
 	if (asprintf(&fqn, "%s/%s", svc->namespace->name, svc->name) < 0) {
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -642,10 +642,10 @@
 		free(fqn);
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(callid, EOVERFLOW);
-		async_answer_0(iid, EOVERFLOW);
-		return;
-	}
-
-	errno_t retval = async_data_read_finalize(callid, fqn,
+		async_answer_0(chandle, EOVERFLOW);
+		async_answer_0(icall_handle, EOVERFLOW);
+		return;
+	}
+
+	errno_t retval = async_data_read_finalize(chandle, fqn,
 	    min(size, act_size));
 	free(fqn);
@@ -653,17 +653,17 @@
 	fibril_mutex_unlock(&services_list_mutex);
 
-	async_answer_0(iid, retval);
-}
-
-static void loc_service_get_server_name(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+	async_answer_0(icall_handle, retval);
+}
+
+static void loc_service_get_server_name(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	size_t act_size;
 	loc_service_t *svc;
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -674,6 +674,6 @@
 	if (svc == NULL) {
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -681,6 +681,6 @@
 	if (svc->server == NULL) {
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -689,15 +689,15 @@
 	if (act_size > size) {
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(callid, EOVERFLOW);
-		async_answer_0(iid, EOVERFLOW);
-		return;
-	}
-
-	errno_t retval = async_data_read_finalize(callid, svc->server->name,
+		async_answer_0(chandle, EOVERFLOW);
+		async_answer_0(icall_handle, EOVERFLOW);
+		return;
+	}
+
+	errno_t retval = async_data_read_finalize(chandle, svc->server->name,
 	    min(size, act_size));
 
 	fibril_mutex_unlock(&services_list_mutex);
 
-	async_answer_0(iid, retval);
+	async_answer_0(icall_handle, retval);
 }
 
@@ -708,5 +708,5 @@
  *
  */
-static void loc_forward(cap_call_handle_t callid, ipc_call_t *call, void *arg)
+static void loc_forward(cap_call_handle_t chandle, ipc_call_t *call, void *arg)
 {
 	fibril_mutex_lock(&services_list_mutex);
@@ -721,10 +721,10 @@
 	if ((svc == NULL) || (svc->server == NULL) || (!svc->server->sess)) {
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return;
 	}
 
 	async_exch_t *exch = async_exchange_begin(svc->server->sess);
-	async_forward_fast(callid, exch, iface, svc->id, 0, IPC_FF_NONE);
+	async_forward_fast(chandle, exch, iface, svc->id, 0, IPC_FF_NONE);
 	async_exchange_end(exch);
 
@@ -738,5 +738,5 @@
  *
  */
-static void loc_service_get_id(cap_call_handle_t iid, ipc_call_t *icall)
+static void loc_service_get_id(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	char *fqsn;
@@ -746,5 +746,5 @@
 	    LOC_NAME_MAXLEN, 0, NULL);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -754,5 +754,5 @@
 	if (!loc_fqsn_split(fqsn, &ns_name, &name)) {
 		free(fqsn);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -781,5 +781,5 @@
 		}
 
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		free(ns_name);
 		free(name);
@@ -788,5 +788,5 @@
 	}
 
-	async_answer_1(iid, EOK, svc->id);
+	async_answer_1(icall_handle, EOK, svc->id);
 
 	fibril_mutex_unlock(&services_list_mutex);
@@ -801,5 +801,5 @@
  *
  */
-static void loc_namespace_get_id(cap_call_handle_t iid, ipc_call_t *icall)
+static void loc_namespace_get_id(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	char *name;
@@ -809,5 +809,5 @@
 	    LOC_NAME_MAXLEN, 0, NULL);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -834,5 +834,5 @@
 		}
 
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		free(name);
 		fibril_mutex_unlock(&services_list_mutex);
@@ -840,5 +840,5 @@
 	}
 
-	async_answer_1(iid, EOK, namespace->id);
+	async_answer_1(icall_handle, EOK, namespace->id);
 
 	fibril_mutex_unlock(&services_list_mutex);
@@ -855,9 +855,9 @@
  *
  */
-static void loc_callback_create(cap_call_handle_t iid, ipc_call_t *icall)
+static void loc_callback_create(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	cb_sess_t *cb_sess = calloc(1, sizeof(cb_sess_t));
 	if (cb_sess == NULL) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -866,5 +866,5 @@
 	if (sess == NULL) {
 		free(cb_sess);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -877,5 +877,5 @@
 	fibril_mutex_unlock(&callback_sess_mutex);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -899,5 +899,5 @@
  *
  */
-static void loc_category_get_id(cap_call_handle_t iid, ipc_call_t *icall)
+static void loc_category_get_id(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	char *name;
@@ -908,5 +908,5 @@
 	    LOC_NAME_MAXLEN, 0, NULL);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -917,9 +917,9 @@
 	if (cat == NULL) {
 		/* Category not found */
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		goto cleanup;
 	}
 
-	async_answer_1(iid, EOK, cat->id);
+	async_answer_1(icall_handle, EOK, cat->id);
 cleanup:
 	fibril_mutex_unlock(&cdir.mutex);
@@ -927,5 +927,5 @@
 }
 
-static void loc_id_probe(cap_call_handle_t iid, ipc_call_t *icall)
+static void loc_id_probe(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	fibril_mutex_lock(&services_list_mutex);
@@ -937,21 +937,21 @@
 		    loc_service_find_id(IPC_GET_ARG1(*icall));
 		if (svc == NULL)
-			async_answer_1(iid, EOK, LOC_OBJECT_NONE);
+			async_answer_1(icall_handle, EOK, LOC_OBJECT_NONE);
 		else
-			async_answer_1(iid, EOK, LOC_OBJECT_SERVICE);
+			async_answer_1(icall_handle, EOK, LOC_OBJECT_SERVICE);
 	} else
-		async_answer_1(iid, EOK, LOC_OBJECT_NAMESPACE);
+		async_answer_1(icall_handle, EOK, LOC_OBJECT_NAMESPACE);
 
 	fibril_mutex_unlock(&services_list_mutex);
 }
 
-static void loc_get_namespace_count(cap_call_handle_t iid, ipc_call_t *icall)
+static void loc_get_namespace_count(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	fibril_mutex_lock(&services_list_mutex);
-	async_answer_1(iid, EOK, list_count(&namespaces_list));
+	async_answer_1(icall_handle, EOK, list_count(&namespaces_list));
 	fibril_mutex_unlock(&services_list_mutex);
 }
 
-static void loc_get_service_count(cap_call_handle_t iid, ipc_call_t *icall)
+static void loc_get_service_count(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	fibril_mutex_lock(&services_list_mutex);
@@ -960,21 +960,21 @@
 	    loc_namespace_find_id(IPC_GET_ARG1(*icall));
 	if (namespace == NULL)
-		async_answer_0(iid, EEXIST);
+		async_answer_0(icall_handle, EEXIST);
 	else
-		async_answer_1(iid, EOK, namespace->refcnt);
+		async_answer_1(icall_handle, EOK, namespace->refcnt);
 
 	fibril_mutex_unlock(&services_list_mutex);
 }
 
-static void loc_get_categories(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+static void loc_get_categories(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	size_t act_size;
 	errno_t rc;
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -983,6 +983,6 @@
 	if (id_buf == NULL) {
 		fibril_mutex_unlock(&cdir.mutex);
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -993,6 +993,6 @@
 	if (rc != EOK) {
 		fibril_mutex_unlock(&cdir.mutex);
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -1000,23 +1000,23 @@
 	fibril_mutex_unlock(&cdir.mutex);
 
-	errno_t retval = async_data_read_finalize(callid, id_buf, size);
+	errno_t retval = async_data_read_finalize(chandle, id_buf, size);
 	free(id_buf);
 
-	async_answer_1(iid, retval, act_size);
-}
-
-static void loc_get_namespaces(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+	async_answer_1(icall_handle, retval, act_size);
+}
+
+static void loc_get_namespaces(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if ((size % sizeof(loc_sdesc_t)) != 0) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -1027,6 +1027,6 @@
 	if (count != list_count(&namespaces_list)) {
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(callid, EOVERFLOW);
-		async_answer_0(iid, EOVERFLOW);
+		async_answer_0(chandle, EOVERFLOW);
+		async_answer_0(icall_handle, EOVERFLOW);
 		return;
 	}
@@ -1035,6 +1035,6 @@
 	if (desc == NULL) {
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -1047,28 +1047,28 @@
 	}
 
-	errno_t retval = async_data_read_finalize(callid, desc, size);
+	errno_t retval = async_data_read_finalize(chandle, desc, size);
 
 	free(desc);
 	fibril_mutex_unlock(&services_list_mutex);
 
-	async_answer_0(iid, retval);
-}
-
-static void loc_get_services(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, retval);
+}
+
+static void loc_get_services(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	/* FIXME: Use faster algorithm which can make better use
 	   of namespaces */
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if ((size % sizeof(loc_sdesc_t)) != 0) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -1080,6 +1080,6 @@
 	if (namespace == NULL) {
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -1088,6 +1088,6 @@
 	if (count != namespace->refcnt) {
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(callid, EOVERFLOW);
-		async_answer_0(iid, EOVERFLOW);
+		async_answer_0(chandle, EOVERFLOW);
+		async_answer_0(icall_handle, EOVERFLOW);
 		return;
 	}
@@ -1096,6 +1096,6 @@
 	if (desc == NULL) {
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -1110,22 +1110,22 @@
 	}
 
-	errno_t retval = async_data_read_finalize(callid, desc, size);
+	errno_t retval = async_data_read_finalize(chandle, desc, size);
 
 	free(desc);
 	fibril_mutex_unlock(&services_list_mutex);
 
-	async_answer_0(iid, retval);
-}
-
-static void loc_category_get_svcs(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+	async_answer_0(icall_handle, retval);
+}
+
+static void loc_category_get_svcs(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	size_t act_size;
 	errno_t rc;
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -1136,6 +1136,6 @@
 	if (cat == NULL) {
 		fibril_mutex_unlock(&cdir.mutex);
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -1144,6 +1144,6 @@
 	if (id_buf == NULL) {
 		fibril_mutex_unlock(&cdir.mutex);
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -1155,6 +1155,6 @@
 		fibril_mutex_unlock(&cat->mutex);
 		fibril_mutex_unlock(&cdir.mutex);
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -1163,12 +1163,12 @@
 	fibril_mutex_unlock(&cdir.mutex);
 
-	errno_t retval = async_data_read_finalize(callid, id_buf, size);
+	errno_t retval = async_data_read_finalize(chandle, id_buf, size);
 	free(id_buf);
 
-	async_answer_1(iid, retval, act_size);
-}
-
-
-static void loc_null_create(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_1(icall_handle, retval, act_size);
+}
+
+
+static void loc_null_create(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	fibril_mutex_lock(&null_services_mutex);
@@ -1186,5 +1186,5 @@
 	if (!fnd) {
 		fibril_mutex_unlock(&null_services_mutex);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -1196,5 +1196,5 @@
 	if (dev_name == NULL) {
 		fibril_mutex_unlock(&null_services_mutex);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -1204,5 +1204,5 @@
 	if (service == NULL) {
 		fibril_mutex_unlock(&null_services_mutex);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -1214,5 +1214,5 @@
 		fibril_mutex_lock(&services_list_mutex);
 		fibril_mutex_unlock(&null_services_mutex);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -1241,12 +1241,12 @@
 	fibril_mutex_unlock(&null_services_mutex);
 
-	async_answer_1(iid, EOK, (sysarg_t) i);
-}
-
-static void loc_null_destroy(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_1(icall_handle, EOK, (sysarg_t) i);
+}
+
+static void loc_null_destroy(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	sysarg_t i = IPC_GET_ARG1(*icall);
 	if (i >= NULL_SERVICES) {
-		async_answer_0(iid, ELIMIT);
+		async_answer_0(icall_handle, ELIMIT);
 		return;
 	}
@@ -1256,5 +1256,5 @@
 	if (null_services[i] == NULL) {
 		fibril_mutex_unlock(&null_services_mutex);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -1269,8 +1269,8 @@
 
 	fibril_mutex_unlock(&null_services_mutex);
-	async_answer_0(iid, EOK);
-}
-
-static void loc_service_add_to_cat(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, EOK);
+}
+
+static void loc_service_add_to_cat(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	category_t *cat;
@@ -1292,5 +1292,5 @@
 		fibril_mutex_unlock(&cdir.mutex);
 		fibril_mutex_unlock(&services_list_mutex);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -1309,5 +1309,5 @@
 	 */
 	loc_category_change_event();
-	async_answer_0(iid, retval);
+	async_answer_0(icall_handle, retval);
 }
 
@@ -1393,8 +1393,8 @@
  *
  */
-static void loc_connection_supplier(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void loc_connection_supplier(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	/* Accept connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	loc_server_t *server = loc_server_register();
@@ -1404,5 +1404,5 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -1412,28 +1412,28 @@
 		case LOC_SERVER_UNREGISTER:
 			if (server == NULL)
-				async_answer_0(callid, ENOENT);
+				async_answer_0(chandle, ENOENT);
 			else
-				async_answer_0(callid, EOK);
+				async_answer_0(chandle, EOK);
 			break;
 		case LOC_SERVICE_ADD_TO_CAT:
 			/* Add service to category */
-			loc_service_add_to_cat(callid, &call);
+			loc_service_add_to_cat(chandle, &call);
 			break;
 		case LOC_SERVICE_REGISTER:
 			/* Register one service */
-			loc_service_register(callid, &call, server);
+			loc_service_register(chandle, &call, server);
 			break;
 		case LOC_SERVICE_UNREGISTER:
 			/* Remove one service */
-			loc_service_unregister(callid, &call, server);
+			loc_service_unregister(chandle, &call, server);
 			break;
 		case LOC_SERVICE_GET_ID:
-			loc_service_get_id(callid, &call);
+			loc_service_get_id(chandle, &call);
 			break;
 		case LOC_NAMESPACE_GET_ID:
-			loc_namespace_get_id(callid, &call);
+			loc_namespace_get_id(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOENT);
+			async_answer_0(chandle, ENOENT);
 		}
 	}
@@ -1451,12 +1451,12 @@
  *
  */
-static void loc_connection_consumer(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void loc_connection_consumer(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	/* Accept connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -1465,53 +1465,53 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case LOC_SERVICE_GET_ID:
-			loc_service_get_id(callid, &call);
+			loc_service_get_id(chandle, &call);
 			break;
 		case LOC_SERVICE_GET_NAME:
-			loc_service_get_name(callid, &call);
+			loc_service_get_name(chandle, &call);
 			break;
 		case LOC_SERVICE_GET_SERVER_NAME:
-			loc_service_get_server_name(callid, &call);
+			loc_service_get_server_name(chandle, &call);
 			break;
 		case LOC_NAMESPACE_GET_ID:
-			loc_namespace_get_id(callid, &call);
+			loc_namespace_get_id(chandle, &call);
 			break;
 		case LOC_CALLBACK_CREATE:
-			loc_callback_create(callid, &call);
+			loc_callback_create(chandle, &call);
 			break;
 		case LOC_CATEGORY_GET_ID:
-			loc_category_get_id(callid, &call);
+			loc_category_get_id(chandle, &call);
 			break;
 		case LOC_CATEGORY_GET_NAME:
-			loc_category_get_name(callid, &call);
+			loc_category_get_name(chandle, &call);
 			break;
 		case LOC_CATEGORY_GET_SVCS:
-			loc_category_get_svcs(callid, &call);
+			loc_category_get_svcs(chandle, &call);
 			break;
 		case LOC_ID_PROBE:
-			loc_id_probe(callid, &call);
+			loc_id_probe(chandle, &call);
 			break;
 		case LOC_NULL_CREATE:
-			loc_null_create(callid, &call);
+			loc_null_create(chandle, &call);
 			break;
 		case LOC_NULL_DESTROY:
-			loc_null_destroy(callid, &call);
+			loc_null_destroy(chandle, &call);
 			break;
 		case LOC_GET_NAMESPACE_COUNT:
-			loc_get_namespace_count(callid, &call);
+			loc_get_namespace_count(chandle, &call);
 			break;
 		case LOC_GET_SERVICE_COUNT:
-			loc_get_service_count(callid, &call);
+			loc_get_service_count(chandle, &call);
 			break;
 		case LOC_GET_CATEGORIES:
-			loc_get_categories(callid, &call);
+			loc_get_categories(chandle, &call);
 			break;
 		case LOC_GET_NAMESPACES:
-			loc_get_namespaces(callid, &call);
+			loc_get_namespaces(chandle, &call);
 			break;
 		case LOC_GET_SERVICES:
-			loc_get_services(callid, &call);
+			loc_get_services(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOENT);
+			async_answer_0(chandle, ENOENT);
 		}
 	}
Index: uspace/srv/logger/ctl.c
===================================================================
--- uspace/srv/logger/ctl.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/logger/ctl.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -63,15 +63,15 @@
 }
 
-void logger_connection_handler_control(cap_call_handle_t callid)
+void logger_connection_handler_control(cap_call_handle_t chandle)
 {
 	errno_t rc;
 	int fd;
 
-	async_answer_0(callid, EOK);
+	async_answer_0(chandle, EOK);
 	logger_log("control: new client.\n");
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -81,9 +81,9 @@
 		case LOGGER_CONTROL_SET_DEFAULT_LEVEL:
 			rc = set_default_logging_level(IPC_GET_ARG1(call));
-			async_answer_0(callid, rc);
+			async_answer_0(chandle, rc);
 			break;
 		case LOGGER_CONTROL_SET_LOG_LEVEL:
 			rc = handle_log_level_change(IPC_GET_ARG1(call));
-			async_answer_0(callid, rc);
+			async_answer_0(chandle, rc);
 			break;
 		case LOGGER_CONTROL_SET_ROOT:
@@ -93,8 +93,8 @@
 				vfs_put(fd);
 			}
-			async_answer_0(callid, rc);
+			async_answer_0(chandle, rc);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			break;
 		}
Index: uspace/srv/logger/main.c
===================================================================
--- uspace/srv/logger/main.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/logger/main.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -48,14 +48,14 @@
 #include "logger.h"
 
-static void connection_handler_control(cap_call_handle_t iid, ipc_call_t *icall,
+static void connection_handler_control(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
-	logger_connection_handler_control(iid);
+	logger_connection_handler_control(icall_handle);
 }
 
-static void connection_handler_writer(cap_call_handle_t iid, ipc_call_t *icall,
+static void connection_handler_writer(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
-	logger_connection_handler_writer(iid);
+	logger_connection_handler_writer(icall_handle);
 }
 
Index: uspace/srv/logger/writer.c
===================================================================
--- uspace/srv/logger/writer.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/logger/writer.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -94,5 +94,5 @@
 }
 
-void logger_connection_handler_writer(cap_call_handle_t callid)
+void logger_connection_handler_writer(cap_call_handle_t chandle)
 {
 	logger_log_t *log;
@@ -100,5 +100,5 @@
 
 	/* Acknowledge the connection. */
-	async_answer_0(callid, EOK);
+	async_answer_0(chandle, EOK);
 
 	logger_log("writer: new client.\n");
@@ -109,5 +109,5 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -118,22 +118,22 @@
 			log = handle_create_log(IPC_GET_ARG1(call));
 			if (log == NULL) {
-				async_answer_0(callid, ENOMEM);
+				async_answer_0(chandle, ENOMEM);
 				break;
 			}
 			if (!register_log(&registered_logs, log)) {
 				log_unlock(log);
-				async_answer_0(callid, ELIMIT);
+				async_answer_0(chandle, ELIMIT);
 				break;
 			}
 			log_unlock(log);
-			async_answer_1(callid, EOK, (sysarg_t) log);
+			async_answer_1(chandle, EOK, (sysarg_t) log);
 			break;
 		case LOGGER_WRITER_MESSAGE:
 			rc = handle_receive_message(IPC_GET_ARG1(call),
 			    IPC_GET_ARG2(call));
-			async_answer_0(callid, rc);
+			async_answer_0(chandle, rc);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			break;
 		}
Index: uspace/srv/net/dhcp/main.c
===================================================================
--- uspace/srv/net/dhcp/main.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/net/dhcp/main.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -84,5 +84,5 @@
 }
 
-static void dhcp_link_add_srv(cap_call_handle_t callid, ipc_call_t *call)
+static void dhcp_link_add_srv(cap_call_handle_t chandle, ipc_call_t *call)
 {
 	sysarg_t link_id;
@@ -94,8 +94,8 @@
 
 	rc = dhcpsrv_link_add(link_id);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
-static void dhcp_link_remove_srv(cap_call_handle_t callid, ipc_call_t *call)
+static void dhcp_link_remove_srv(cap_call_handle_t chandle, ipc_call_t *call)
 {
 	sysarg_t link_id;
@@ -107,8 +107,8 @@
 
 	rc = dhcpsrv_link_remove(link_id);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
-static void dhcp_discover_srv(cap_call_handle_t callid, ipc_call_t *call)
+static void dhcp_discover_srv(cap_call_handle_t chandle, ipc_call_t *call)
 {
 	sysarg_t link_id;
@@ -120,22 +120,22 @@
 
 	rc = dhcpsrv_discover(link_id);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
-static void dhcp_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void dhcp_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "dhcp_client_conn()");
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -143,14 +143,14 @@
 		switch (method) {
 		case DHCP_LINK_ADD:
-			dhcp_link_add_srv(callid, &call);
+			dhcp_link_add_srv(chandle, &call);
 			break;
 		case DHCP_LINK_REMOVE:
-			dhcp_link_remove_srv(callid, &call);
+			dhcp_link_remove_srv(chandle, &call);
 			break;
 		case DHCP_DISCOVER:
-			dhcp_discover_srv(callid, &call);
+			dhcp_discover_srv(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
